Editor Fehler nach Upgrade&'Downgrade'

Gesperrt
glogov
Beiträge: 4
Registriert: Mi 21. Feb 2007, 15:14
Wohnort: Amsterdam
Kontaktdaten:

Editor Fehler nach Upgrade&'Downgrade'

Beitrag von glogov » Do 22. Feb 2007, 10:20

Vor einigen Wochen gab es auf den von mir verwalteten Website einen Sicherheitsproblem. Dieses Problem war schnell gelöst aber mir wurde empfohlen auch einen Upgrade von Contenido 4.4.2. auf dem neuesten Version durchzuführen. Leider war der Upgrade nicht erfolgreich wodurch sowohl backend als frontend nicht mehr erreichbar waren. Um der Website wieder erreichbar zu haben, habe ich leider Version 4.2.2. zurück gesetzt.

Ergebniss: Website wieder online und backend erreichbar aber den Editor und Vorschau funktionieren nicht mehr. (Übersicht, Eigenschaften und Konfiguration funktionieren). Wenn ich den Editor versuche erscheint einen 404 Fehler. Hierzu gibt es einiges hier auf dem Forum, anscheinend sind es meistens falsche Pfade. Habe diesen kontrolliert, sind jedoch korrekt. Der 404 Fehler gibt bei Eigenschaften die Meldung das …/external/backendedit/front_content.php nicht verfügbar is. Wundert mich nicht da den kompletten backendedit Ordner bei mir nicht anwesend ist (auch nicht in meinen Backup den ich vor den Upgrade gemacht habe). In Contenido 4.6.x sehe ich diesen Ordner schon. Ich vermute, dass meinen Upgrade doch irgendetwas geändert hat aber was? Und wie kann ich es wieder in Ordnung bringen?

Als "Ersatz Webmaster" für den erkrankten Webmaster sind meinen Kenntnisse über php und Contenido nur gering. Ich hoffe sehr das jemand mich hiermit helfen kann.

Jedoch: auch wenn ich mit euren Hilfe alles wieder in Ordnung bekommen kann, will ich letztendlich doch den Upgrade durchführen. Ist es vielleicht möglich den neuesten Version von Contenido als Neuinstallation zu installieren statt als Upgrade wobei dann doch die Tabellen / Datenbank usw der jetzigen Version benutzt werden? Also: nicht Fehler Symptome bestreiten aber einen Neuanfang machen.

Im Voraus Dank für alle nützlichen Antworten!

emergence
Beiträge: 10600
Registriert: Mo 28. Jul 2003, 12:49
Wohnort: Austria
Kontaktdaten:

Beitrag von emergence » Do 22. Feb 2007, 10:51

hast du ein backup der datenbank ?

aufgrund des upgrades wurden einige db einträge modifiziert...
ich hab keine ahnung ob das setup der 4.4.x im upgrade modus das wieder korrigieren könnte...
*** make your own tools (wishlist :: thx)

glogov
Beiträge: 4
Registriert: Mi 21. Feb 2007, 15:14
Wohnort: Amsterdam
Kontaktdaten:

Beitrag von glogov » Do 22. Feb 2007, 11:04

Ja, ich habe einen Backup der Datenbank.

emergence
Beiträge: 10600
Registriert: Mo 28. Jul 2003, 12:49
Wohnort: Austria
Kontaktdaten:

Beitrag von emergence » Do 22. Feb 2007, 11:05

na dann -> einspielen... (oder einspielen lassen)
*** make your own tools (wishlist :: thx)

glogov
Beiträge: 4
Registriert: Mi 21. Feb 2007, 15:14
Wohnort: Amsterdam
Kontaktdaten:

Beitrag von glogov » So 8. Apr 2007, 17:57

Danke Emergence!

Database backup habe ich - mit Schwierigkeiten - wieder in Ordnung gebracht. Ergebniss: Vorschau funktioniert wieder, Editor immer noch nicht (jetzt leere Seite anstatt Fehlermeldung vorher) und es fehlen einigen Funktionen (Content->Artikel zeigt keinen Uebersicht mehr usw.). Ich habe wieder einiges versucht aber leider trotz Hinweise in vielen Beitraege, bisher vergeblich.

Anscheinend habe ich jetzt die Grenze meiner IT Faehigkeiten erreicht. Wer koennte sich mal das Problem anschauen und (ggf. gegen Bezahlung) fuer einen Loesung sorgen (bevorzugt inklusiver Upgrade von Contenido auf den neuesten Version)? Reaktionen gerne an webmaster@glogov.org

Vielen Dank.

glogov
Beiträge: 4
Registriert: Mi 21. Feb 2007, 15:14
Wohnort: Amsterdam
Kontaktdaten:

Beitrag von glogov » Do 12. Apr 2007, 16:36

'ggf gegen Bezahlung' in vorherigen Nachricht muss sein: 'selbstverstaendlich gegen Bezahlung!'

Gesperrt